System.register(["./auth.js"], function (_export, _context) {
  "use strict";

  var Auth, AuthGoogledrive, __SystemJSRewritingHack;
  _export("default", void 0);
  return {
    setters: [function (_authJs) {
      Auth = _authJs.default;
    }],
    execute: function () {
      __SystemJSRewritingHack = {};
      _recorder_._https__lively_kernel_org_lively4_lively4_ansgar_src_client_auth_googledrive_js = _recorder_._https__lively_kernel_org_lively4_lively4_ansgar_src_client_auth_googledrive_js || {};
      Object.defineProperty(_recorder_._https__lively_kernel_org_lively4_lively4_ansgar_src_client_auth_googledrive_js, "Auth", {
        get() {
          return Auth;
        },
        set(thisIsVererySecretVariableName) {
          Auth = thisIsVererySecretVariableName;
          return true;
        },
        enumerable: true,
        configurable: true
      });
      _export("default", AuthGoogledrive = class AuthGoogledrive extends Auth {
        static get name() {
          return "googledrive";
        }
        static get tokenName() {
          return "googledriveToken";
        }
        static tokenFromAuthInfo(authInfo) {
          return authInfo.token;
        }
        static get notificationIconURL() {
          return 'http://www.google.com/drive/images/drive/logo-drive.png';
        }
        static get appInfo() {
          return {
            "clientId": "255612037819-mggijqbougej39s0j95oqvq3ej5hid79.apps.googleusercontent.com",
            "redirectUri": "https://lively-kernel.org/lively4-auth/oauth/googledrive.html"
          };
        }
        static oauthTokenURL(uuid) {
          return "https://lively-kernel.org/lively4-auth/open_googledrive_accesstoken?state=" + uuid;
        }
        static oauthURL(uuid) {
          return "https://accounts.google.com/o/oauth2/v2/auth" + "?client_id=" + this.appInfo.clientId + "&response_type=token" + "&scope=https://www.googleapis.com/auth/drive" + "&state=" + uuid + "&redirect_uri=" + encodeURIComponent(this.appInfo.redirectUri);
        }
      });
      Object.defineProperty(_recorder_._https__lively_kernel_org_lively4_lively4_ansgar_src_client_auth_googledrive_js, "AuthGoogledrive", {
        get() {
          return AuthGoogledrive;
        },
        set(thisIsVererySecretVariableName) {
          _export("default", AuthGoogledrive = thisIsVererySecretVariableName);
          return true;
        },
        enumerable: true,
        configurable: true
      });
      AuthGoogledrive.load();
    }
  };
});